#pragma once
#ifdef BKSCRDLL_EXPORTS
#define BKSCRDLL_API __declspec(dllexport)
#else
#define BKSCRDLL_API __declspec(dllimport)
#endif

// Этот класс экспортирован из BKScreenDIB.dll
#include "Screen_Shared.h"

#include <vfw.h>

BKEXTERN_C class BKSCRDLL_API CScreenDIB : public CBKScreen_Shared
{
	protected:

		int                 m_cx, m_cy;

		HDRAWDIB            m_hdd;
		BITMAPINFO          m_bmpinfo;
		HBITMAP             m_hbmp;

	public:
		CScreenDIB(void);
		virtual ~CScreenDIB(void);

		virtual HRESULT     BKSS_ScreenView_Init(ScrsParams &sspar, CWnd *pwndScr, CWnd *pwndFullScr);
		virtual void        BKSS_ScreenView_Done();
		virtual void        BKSS_DrawScreen();
		virtual bool        BKSS_SetFullScreenMode();
		virtual bool        BKSS_SetWindowMode();
		virtual void        BKSS_OnSize(int cx, int cy);

		virtual bool BKSS_GetReverseFlag()
		{
			return false;
		}
};


